function callProcess(binary, arguments, callback) {
  const component = Qt.createComponent("SimpleProcess.qml");
  if (component.status != Component.Ready) {
    if (component.status == Component.Error) {
      console.debug("Error:" + component.errorString());
    }
    throw new Error("Error:" + component.errorString());
  }
  const process = component.createObject(parent, {});
  process.onHasFinished.connect(callback);
  process.run(binary, arguments);
}
